Skip to content
Start here

List Regional Hostnames

client.addressing.regionalHostnames.list(RegionalHostnameListParams { zone_id } params, RequestOptionsoptions?): SinglePage<RegionalHostnameListResponse { created_on, hostname, region_key, routing } >
GET/zones/{zone_id}/addressing/regional_hostnames

List all Regional Hostnames within a zone.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
DNS ReadDNS Write
ParametersExpand Collapse
params: RegionalHostnameListParams { zone_id }
zone_id: string

Identifier.

maxLength32
ReturnsExpand Collapse
RegionalHostnameListResponse { created_on, hostname, region_key, routing }
created_on: string

When the regional hostname was created

formatdate-time
hostname: string

DNS hostname to be regionalized, must be a subdomain of the zone. Wildcards are supported for one level, e.g *.example.com

region_key: string

Identifying key for the region

routing?: string

Configure which routing method to use for the regional hostname

List Regional Hostnames

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const regionalHostnameListResponse of client.addressing.regionalHostnames.list({
  zone_id: '023e105f4ecef8ad9ca31a8372d0c353',
})) {
  console.log(regionalHostnameListResponse.created_on);
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "created_on": "2014-01-01T05:20:00.12345Z",
      "hostname": "foo.example.com",
      "region_key": "ca",
      "routing": "dns"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "created_on": "2014-01-01T05:20:00.12345Z",
      "hostname": "foo.example.com",
      "region_key": "ca",
      "routing": "dns"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}